/*
 *    Copyright 2009-2010 The Rocoto Team
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package com.googlecode.rocoto.converters;

import java.sql.Clob;

import javax.sql.rowset.serial.SerialClob;

import com.google.inject.ProvisionException;
import com.google.inject.TypeLiteral;

/**
 * Converter implementation for {@code java.sql.Clob}.
 *
 * @since 3.3
 * @version $Id: ClobConverter.java 494 2010-10-01 13:42:23Z simone.tripodi $
 */
public final class ClobConverter extends AbstractConverter<Clob> {

    /**
     * {@inheritDoc}
     */
    public Object convert(String value, TypeLiteral<?> toType) {
        try {
            return new SerialClob(value.toCharArray());
        } catch (Exception e) {
            throw new ProvisionException("String value '"
                    + value
                    + "' is not a valid InetAddress", e);
        }
    }

}
